CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

    calibre-debug [options]

Diverses interfaces de ligne de commande utiles pour le débogage de calibre. Sans option, cette commande lance un interpréteur Python embarqué. Vous pouvez également exécuter l'interface principale calibre, la visionneuse de livres numériques calibre et l'éditeur calibre en mode débogage.

Il contient également des interfaces pour divers éléments de calibre qui ne disposent pas d'outils dédiés en ligne de commande, comme le sous-ensemble de polices, l'outil de comparaison de livres numériques, etc.

Vous pouvez également utiliser calibre-debug pour exécuter des scripts autonomes. Pour ce faire, utilisez-le comme suit :

calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Tout ce qui suit le -- est transmis au script. Vous pouvez aussi utiliser calibre-debug comme shebang dans les scripts, comme ceci :

#!/usr/bin/env -S calibre-debug -e -- --

Chaque fois que vous passez à calibre-debug des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

[OPTIONS]

--add-simple-plugin
    Ajouter une extension simple (par ex. une extension qui consiste en un unique fichier .py), en spécifiant le chemin vers le fichier py contenant le code de l'extension.

--command, -c
    Exécuter du code Python.

--debug-device-driver, -d
    Déboguer la détection du périphérique

--default-programs
    (Dés)enregistrer calibre des Programmes par Défaut de Windows --default-programs = (register|unregister)

--diff
    Exécuter l'outil calibre diff. Par exemple: calibre-debug --diff fichier1 fichier2

--edit-book
    Lancez l’Éditeur de livre calibre en mode débogage.

--exec-file, -e
    Exécuter le code Python dans le fichier

--explode-book, -x
    Décompacte le livre dans le dossier spécifié. Utilisation : -x file.epub output_dir Exporte le livre comme une collection de fichiers HTML et de métadonnées, qui peuvent être édités en utilisant des outils standards d'édition HTML. Fonctionne avec des fichiers EPUB, AZW3, HTMLZ et DOCX

--export-all-calibre-data
    Exporter toutes les données calibre (livres/réglages/plugins). Normalement, on vous demandera le dossier d'exportation et les bibliothèques à exporter. Vous pouvez également les spécifier en tant qu'arguments de ligne de commande pour sauter les questions. Utilisez des chemins absolus pour le dossier d'exportation et les bibliothèques. Le mot-clé spécial "all" peut être utilisé pour exporter toutes les bibliothèques. Exemples : calibre-debug --export-all-calibre-data # pour l'utilisation interactive calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # exporter toutes les bibliothèques connues

--gui, -g
    Exécuter le GUI avec le débogage activé. La sortie de débogage est inscrite dans stdout et stderr.

--gui-debug
    Exécuter le GUI avec une console de débogage, inscrite à l'emplacement spécifié. Pour usage interne uniquement, utiliser l'option -g pour exécuter le GUI en mode débogage.

--help, -h
    affiche ce message d'aide et quitte

--implode-book, -i
    Re-compacter un livre précédemment décompacté. Utilisation : -i output_dir file.epub Importe le livre depuis les fichiers dans output_dir qui avaient été créé par une un appel précédent à call to --explode-book. Assurez-vous de spécifier le même type de fichier que celui utilisé lors du décompactage.

--import-calibre-data
    Importer les données calibre précédemment exportées

--inspect-mobi, -m
    Inspecter le(s) fichier(s) MOBI à/aux (l')emplacement(s) spécifié(s)

--kepubify
    Convertit le fichier EPUB spécifié en KEPUB sans effectuer une conversion complète. C'est ce que fait le pilote Kobo lorsqu'il envoie des fichiers sur le périphérique.

--paths
    Sort les emplacements nécessaires pour configurer l'environnement de calibre

--run-plugin, -r
    Exécuter une extension qui fournit une interface en ligne de commande. Par exemple : calibre-debug -r "Plugin name" -- file1 --option1 Tout ce qui se trouve après le -- sera passé à l'extension en tant qu'arguments.

--run-test, -t
    Exécuter le(s) test(s) nommé(s). Utilisez la valeur spéciale "all" pour exécuter tous les tests. Si le nom du test commence par un point, il est supposé être un nom de module. Si le nom du test commence par @, il s'agit d'un nom de catégorie.

--run-without-debug
    Ne pas exécuter avec l'option DEBUG activée

--shutdown-running-calibre, -s
    Provoque la fermeture de la session de calibre en cours (si elle existe). Remarquez que s’il y a des tâches en cours, elles seront annulées sur le champ. À utiliser avec prudence.

--subset-font, -f
    Créer un sous-ensemble avec les polices spécifiées. Utilisez -- après cette option pour passer l'option au programme de sous-ensembles de police.

--test-build
    Tester les modules binaires en construction

--un-kepubify
    Convertit le fichier KEPUB spécifié en EPUB sans effectuer une conversion complète. C'est ce que fait le pilote Kobo lorsqu'il importe des fichiers depuis le périphérique.

--version
    affiche le numéro de version du logiciel et quitte

--viewer, -w
    Exécuter la visionneuse de livre numérique en mode débogage

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal